import { SequelizeAdapter } from './adapter';
import type { SequelizeAdapterParams } from './declarations';
import type { Id, Paginated, ServiceMethods } from '@feathersjs/feathers';
import type { PaginationOptions } from '@feathersjs/adapter-commons';
export * from './declarations';
export * from './adapter';
export * from './hooks';
export { ERROR, errorHandler } from './utils';
export declare class SequelizeService<T = any, D = Partial<T>, P extends SequelizeAdapterParams<any> = SequelizeAdapterParams> extends SequelizeAdapter<T, D, P> implements ServiceMethods<T | Paginated<T>, D, P> {
    find(params?: P & {
        paginate?: PaginationOptions;
    }): Promise<Paginated<T>>;
    find(params?: P & {
        paginate: false;
    }): Promise<T[]>;
    find(params?: P): Promise<Paginated<T> | T[]>;
    get(id: Id, params?: P): Promise<T>;
    create(data: Partial<D>, params?: P): Promise<T>;
    create(data: Partial<D>[], params?: P): Promise<T[]>;
    update(id: Id, data: D, params?: P): Promise<T>;
    patch(id: Id, data: Partial<D>, params?: P): Promise<T>;
    patch(id: null, data: Partial<D>, params?: P): Promise<T[]>;
    remove(id: Id, params?: P): Promise<T>;
    remove(id: null, params?: P): Promise<T[]>;
}
